%global fontname carterone
%global fontconf 61-%{fontname}-fonts.conf
%global checkout 716ff965e2b0hg


Name:          %{fontname}-fonts
Version:       1.00
Release:       6.%{checkout}%{?dist}
Summary:       CarterOne fonts released by Vernon Adams
License:       OFL
URL:           http://www.google.com/fonts/specimen/Carter+One
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/carterone/OFL.txt
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/carterone/src/CarterOne-TTF.sfd
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: fontforge
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
Carter is a reworking of particular casual type forms that were popular around
the mid Twentieth Century, often found used areas such advertising or pulp
fiction book covers. The letter forms of Carter have been reshaped and digitized
for use as a web font, the counters have been opened up a little and the stems
optimized for use as display font for modern web browsers. The fonts were
created by Vernon Adams (vern@newtypography.co.uk).


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} .


%build
fontforge -lang=ff -script "-" *.sfd <<_EOF
i = 1
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5)
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++
endloop
_EOF
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0


%install
rm -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt *.pdf


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-6.716ff965e2b0hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-5.716ff965e2b0hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Sep 26 2014 Julien Enselme <jujens@jujens.eu> - 1.00-4.716ff965e2b0hg
- Update URL and sources.
- Remove %%{files} macro (contained in %%{_font_pkg})

* Mon Sep 08 2014 Julien Enselme <jujens@jujens.eu> - 1.00-3.716ff965e2b0hg
- Correct fontconfig.

* Tue Sep 02 2014 Julien Enselme <jujens@jujens.eu> - 1.00-2.716ff965e2b0hg
- Update SPEC to match an easy fonts template.

* Thu Apr 17 2014 Julien Enselme <jujens@jujens.eu> - 1.00-1.9679bb315f98hg
- Initial packaging.
